ResourceEntry (Tomcat API Documentation)
Keywords: org.apache.catalina.loader.ResourceEntry class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.loader
Class ResourceEntry

    java.lang.Object
      org.apache.catalina.loader.ResourceEntry

    public class ResourceEntry

extends java.lang.Object

Resource entry.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Remy Maucherat

Field Summary
`byte[]` | `binaryContent` Binary content of the resource.
`java.security.cert.Certificate[]` | `certificates` Certificates (if the resource was loaded from a JAR).
`java.net.URL` | `codeBase` URL of the codebase from where the object was loaded.
`long` | `lastModified` The "last modified" time of the origin file at the time this class was loaded, in milliseconds since the epoch.
`java.lang.Class` | `loadedClass` Loaded class.
`java.util.jar.Manifest` | `manifest` Manifest (if the resource was loaded from a JAR).
`java.net.URL` | `source` URL source from where the object was loaded.

Constructor Summary
`ResourceEntry()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lastModified

    public long lastModified

  The "last modified" time of the origin file at the time this class was loaded, in milliseconds since the epoch.

### binaryContent

    public byte[] binaryContent

  Binary content of the resource.

### loadedClass

    public java.lang.Class loadedClass

  Loaded class.

### source

    public java.net.URL source

  URL source from where the object was loaded.

### codeBase

    public java.net.URL codeBase

  URL of the codebase from where the object was loaded.

### manifest

    public java.util.jar.Manifest manifest

  Manifest (if the resource was loaded from a JAR).

### certificates

    public java.security.cert.Certificate[] certificates

  Certificates (if the resource was loaded from a JAR).

Constructor Detail

### ResourceEntry

    public ResourceEntry()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.